=== PVE/API2/Makefile ===

.PHONY: install
install:
	install -d -m 0755 ${DESTDIR}${PERLDIR}/PVE/API2
	make -C HA install
