=== PVE/API2/HA/Makefile ===
SOURCES=Resources.pm Groups.pm Status.pm

.PHONY: install
install:
	install -d -m 0755 ${DESTDIR}${PERLDIR}/PVE/API2/HA
	for i in ${SOURCES}; do install -D -m 0644 $$i ${DESTDIR}${PERLDIR}/PVE/API2/HA/$$i; done
