=== PVE/HA/Env/Makefile ===


.PHONY: install
install:
	install -D -m 0644 PVE2.pm ${DESTDIR}${PERLDIR}/PVE/HA/Env/PVE2.pm
