=== debian/control ===
Source: pve-ha-manager
Section: perl
Priority: extra
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: debhelper-compat (= 13),
               libglib-perl,
               libgtk3-perl,
               libpve-access-control,
               libpve-cluster-perl,
               libpve-common-perl,
               libpve-notify-perl,
               libpve-rs-perl (>= 0.7.3),
               lintian,
               pve-cluster,
               pve-doc-generator (>= 5.3-3),
Standards-Version: 4.5.1

Package: pve-ha-manager
Section: perl
Priority: optional
Architecture: any
Depends: libjson-perl,
         libpve-cluster-perl,
         libpve-common-perl,
         libpve-notify-perl,
         libpve-rs-perl (>= 0.7.3),
         pve-cluster (>= 3.0-17),
         pve-container (>= 5.0.1),
         qemu-server (>= 8.0.2),
         systemd,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Conflicts: watchdog,
Description: Proxmox VE HA Manager
 HA Manager Proxmox VE.

Package: pve-ha-simulator
Section: perl
Priority: optional
Architecture: all
Depends: libclone-perl,
         libdevel-cycle-perl,
         libencode-locale-perl,
         libfilesys-df-perl,
         libglib-perl,
         libgtk3-perl,
         libhttp-message-perl,
         libjson-perl,
         libnet-ip-perl,
         libstring-shellquote-perl,
         liburi-perl,
         ${misc:Depends},
         ${perl:Depends},
Description: Proxmox VE HA Simulator
 This is a simple GUI to simulate the behavior of a Proxmox VE HA cluster.
